# libgdgeda.spec

Name: 		libgdgeda
Summary: 	Graphical libraries for the gEDA project
Version: 	2.0.15
Release: 	1
License:	LGPL 
Group: 		System Environment/Libraries
URL:		http://www.geda.seul.org
Source:		%{name}-%{version}.tar.gz
Packager:	W. Kazubski <wk@ire.pw.edu.pl>
BuildRoot:    	%{_tmppath}/libgdgeda

%description
This package contains libgdgeda-1.8 and the necessary header files for development.
Libgdgeda is a hack on libgd, which is a graphics library. 
It allows your code to quickly draw images complete with lines, arcs, text, 
multiple colors, cut and paste from other images, and flood fills, and write out 
the result as a .PNG file. 

%package devel
Group: 		Development/Libraries
Summary: 	Development files for libgdgeda

%description devel
Development files for libgdgeda


%prep
%setup

%build
%configure --with-freetype=yes
make all

# install will be a bit complicated because we are not assured
# that the builder has root privileges
%install
make install DESTDIR=$RPM_BUILD_ROOT
./libtool --finish $RPM_BUILD_ROOT%{_libdir}

strip $RPM_BUILD_ROOT%{_libdir}/libgdgeda.a
strip $RPM_BUILD_ROOT%{_libdir}/libgdgeda.so.6.0.0


%post 
/sbin/ldconfig
%postun 
/sbin/ldconfig

%clean
rm -Rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README*
%{_libdir}/libgdgeda.so.6
%{_libdir}/libgdgeda.so.6.0.0

%files devel
%defattr(-,root,root)
%dir %{_includedir}/gdgeda
%{_bindir}/libgdgeda-config
%{_includedir}/gdgeda/*
%{_libdir}/libgdgeda.a
%{_libdir}/libgdgeda.la
%{_libdir}/libgdgeda.so
%{_libdir}/pkgconfig/libgdgeda.pc

%changelog
* Sat Mar 25 2006 - joe_morris@ntm.org
- build on SuSE x86_64

* Sun Jun 19 2005 Wojciech Kazubski <wk@ire.pw.edu.pl>
- rebuilt for Fedora Core 4

* Wed Jan 14 2004 W. Kazubski <wk@ire.pw.edu.pl>

- built on Fedora Core 1
- modified specfile, devel package splited

* Thu Sep 4 2003 W. Kazubski <wk@ire.pw.edu.pl>

- updated to version 2.0.15, built on RedHat 9

* Thu Feb 27 2003 W. Kazubski <wk@ire.pw.edu.pl>

- updated to version 2.0.9

* Fri Nov 8 2002 W. Kazubski <wk@ire.pw.edu.pl>

- rebuilt on RedHat 8.0 (gcc3.2)

* Sun Mar 11 2001 L.J.H. Timmerman <bert.timmerman@corusgroup.com>

- updated to version 1.8; built on redhat-7.0

* Tue Oct 17 2000 Emmanuel Rouat <emmanuel.rouat@wanadoo.fr>

- removed (obsolete) RHCN tag

* Thu Aug 10 2000 Emmanuel Rouat <emmanuel.rouat@wanadoo.fr>

- rebuild with latest versoin of rpm

* Thu Oct 14 1999 Emmanuel Rouat <emmanuel.rouat@wanadoo.fr>

- rebuilt on redhat-6.1

* Sat Jul 10 1999 Emmanuel Rouat <emmanuel.rouat@wanadoo.fr>

- initialization of spec file.

# end of file
